using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace Fast.Database.Models;

[Keyless]
public partial class VwSalesTaxOverviewInfo
{
    [Column("id")]
    public int? Id { get; set; }

    [Column("state", TypeName = "citext")]
    public string? State { get; set; }

    [Column("county", TypeName = "citext")]
    public string? County { get; set; }

    [Column("county_id")]
    public int? CountyId { get; set; }

    [Column("sales_tax")]
    public decimal? SalesTax { get; set; }

    [Column("energy_exemption")]
    public decimal? EnergyExemption { get; set; }

    [Column("excise_tax")]
    public decimal? ExciseTax { get; set; }
}
